# Settings

This configuration contains parameters that HivePress uses for registering the custom settings. Each setting is defined as an array of HivePress [field](/developer-docs/framework/fields.md) parameters. The array key is used as the setting name (prefixed with `hp_`).

The code example below adds a new checkbox setting to the **HivePress > Settings > Listings > Display** section. In the same way, you can customize any of the available settings or register a new one by adding an array with the field parameters.

```php
add_filter(
	'hivepress/v1/settings',
	function( $settings ) {
		$settings['listings']['sections']['display']['fields']['custom_option'] = [
			'label'  => 'Custom Option',
			'type'   => 'checkbox',
			'_order' => 123,
		];

		return $settings;
	}
);
```

After the setting is added, you can get its value by calling the [get\_option](https://developer.wordpress.org/reference/functions/get_option/) function with the setting name (prefixed with `hp_`):

```php
$value = get_option( 'hp_custom_option' );
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.hivepress.io/developer-docs/framework/configurations/settings.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
